CREATE TABLE hxt_tm_mtrx_tbb_usgs (
    TM_MTRX_TBB_USAGE_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID                NUMBER(18, 0)    NOT NULL,
    TM_MTRX_ROW_ID               NUMBER(18, 0)    NOT NULL,
    TM_BLDG_BLK_DTL_ID1          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID2          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID3          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID4          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID5          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID6          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID7          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID8          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID9          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID10         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID11         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID12         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID13         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID14         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID15         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID16         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID17         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID18         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID19         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID20         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID21         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID22         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID23         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID24         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID25         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID26         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID27         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID28         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID29         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID30         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID31         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION1     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION2     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION3     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION4     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION5     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION6     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION7     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION8     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION9     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION10    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION11    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION12    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION13    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION14    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION15    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION16    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION17    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION18    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION19    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION20    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION21    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION22    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION23    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION24    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION25    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION26    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION27    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION28    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION29    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION30    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION31    NUMBER(18, 0),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    TM_MTRX_TBB_USAGE_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID                NUMBER(18, 0)    NOT NULL,
    TM_MTRX_ROW_ID               NUMBER(18, 0)    NOT NULL,
    TM_BLDG_BLK_DTL_ID1          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID2          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID3          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID4          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID5          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID6          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID7          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID8          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID9          NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID10         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID11         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID12         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID13         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID14         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID15         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID16         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID17         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID18         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID19         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID20         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID21         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID22         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID23         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID24         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID25         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID26         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID27         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID28         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID29         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID30         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_ID31         NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION1     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION2     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION3     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION4     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION5     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION6     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION7     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION8     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION9     NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION10    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION11    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION12    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION13    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION14    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION15    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION16    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION17    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION18    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION19    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION20    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION21    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION22    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION23    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION24    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION25    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION26    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION27    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION28    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION29    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION30    NUMBER(18, 0),
    TM_BLDG_BLK_DTL_VERSION31    NUMBER(18, 0),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CONSTRAINT pk_hxt_tm_mtrx_tbb_usgs PRIMARY KEY (TM_MTRX_TBB_USAGE_ID, TM_MTRX_TBB_USAGE_ID)
);
